package com.sv.entity.face;

public class LoginResponse {

    /**
     * code : 0
     * data : {"avatar":"","company":{"attendance_on":false,"attendance_weekdays":[1,2,3,4,5],"consigner":"测试人员","create_time":1533716580,"data_version":1,"deployment":1,"door_range":[[9,0],[21,0]],"door_weekdays":[1,2,3,4,5],"feature_version":7,"full_day":false,"id":1,"logo":"/static/images/logo.png","name":"测试","remark":"","scenario":"正常使用","upload":true},"company_id":1,"id":2,"organization_id":null,"password_reseted":true,"permission":[],"role_id":2,"username":"test@test.com","verify":false}
     * page : {}
     */

    private int code;
    private DataBean data;
    private PageBean page;

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public DataBean getData() {
        return data;
    }

    public void setData(DataBean data) {
        this.data = data;
    }

    public PageBean getPage() {
        return page;
    }

    public void setPage(PageBean page) {
        this.page = page;
    }

    public static class DataBean {
        /**
         * avatar :
         * company : {"attendance_on":false,"attendance_weekdays":[1,2,3,4,5],"consigner":"测试人员","create_time":1533716580,"data_version":1,"deployment":1,"door_range":[[9,0],[21,0]],"door_weekdays":[1,2,3,4,5],"feature_version":7,"full_day":false,"id":1,"logo":"/static/images/logo.png","name":"测试","remark":"","scenario":"正常使用","upload":true}
         * company_id : 1
         * id : 2
         * organization_id : null
         * password_reseted : true
         * permission : []
         * role_id : 2
         * username : test@test.com
         * verify : false
         */

        private String avatar;
        private CompanyBean company;
        private int company_id;
        private int id;
        private Object organization_id;
        private boolean password_reseted;
        private int role_id;
        private String username;

        public String getAvatar() {
            return avatar;
        }

        public void setAvatar(String avatar) {
            this.avatar = avatar;
        }

        public CompanyBean getCompany() {
            return company;
        }

        public void setCompany(CompanyBean company) {
            this.company = company;
        }

        public int getCompany_id() {
            return company_id;
        }

        public void setCompany_id(int company_id) {
            this.company_id = company_id;
        }

        public int getId() {
            return id;
        }

        public void setId(int id) {
            this.id = id;
        }

        public Object getOrganization_id() {
            return organization_id;
        }

        public void setOrganization_id(Object organization_id) {
            this.organization_id = organization_id;
        }

        public boolean isPassword_reseted() {
            return password_reseted;
        }

        public void setPassword_reseted(boolean password_reseted) {
            this.password_reseted = password_reseted;
        }

        public int getRole_id() {
            return role_id;
        }

        public void setRole_id(int role_id) {
            this.role_id = role_id;
        }

        public String getUsername() {
            return username;
        }

        public void setUsername(String username) {
            this.username = username;
        }

        public static class CompanyBean {
        }
    }

    public static class PageBean {
    }
}
